code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/usr/bin/env bash ./pants export examples/src/java/org/pantsbuild/example/hello/:: examples/src/scala/org/pantsbuild/example/hello:hello
jsirois/intellij-pants-plugin
testData/testprojects/intellij-integration/export1.sh
Shell
apache-2.0
140
#!/usr/bin/env bash set -e BUILD_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)" source "${BUILD_DIR}/ci/common/common.sh" source "${BUILD_DIR}/ci/common/neovim.sh" source "${BUILD_DIR}/ci/common/deps-repo.sh" DEPS_SRC_BUILD_DIR=${DEPS_SRC_BUILD_DIR:-${BUILD_DIR}/build/deps-src} clone_deps-src() { clone_dep...
fwalch/bot-ci
ci/deps-src.sh
Shell
apache-2.0
1,238
#!/bin/bash source config.sh init; mkdir "$APP_DEFAULT_DIR" cp * "$APP_DEFAULT_DIR" ln -s "$APP_DEFAULT_DIR"/"$SHORT_NAME" /usr/bin/$SHORT_NAME
alexandrefelipemuller/shesfw
install.sh
Shell
bsd-3-clause
146
#!/bin/sh usage() { echo "Move current files to \"old/<version-filename>\"" echo " usage: $0 <version>" echo " eg: $0 3.1.3" } if [ $# -eq 0 ]; then usage exit fi version="$1" . ../../../../bin/filelist.sh for i in $list do (cd `dirname $i` mv -i "`basename $i`" "old/$version-`basename $i`" echo "$i -> ...
noisedaddy/ci_testing
application/tests/_ci_phpunit_test/replacing/mv-current.sh
Shell
mit
354
#!/bin/sh export APP_NAME="birdname" export APP_HOME="/usr/local/$APP_NAME/current" export PIDFILE="/var/run/$APP_NAME/$APP_NAME.pid" export STDOUT_FILE="/var/log/$APP_NAME/stdout" export STDERR_FILE="/var/log/$APP_NAME/error" export MAIN_JAR="$APP_NAME-1.0-SNAPSHOT.jar" export ADMIN_PORT=9900 export HEAP_OPTS="-Xm...
chintootech/scala-bootstrapper
lib/template/src/scripts/config.sh
Shell
mit
907
#!/bin/bash sed '/^[[:blank:]]*#/d;s/#.*//' ${1} | sed '/^$/d' | tee nocomment/${1}.nocomment
kasidit/openstack-ocata-installer
documents/Example.OPSInstaller/network/files/clear-comment.sh
Shell
gpl-2.0
96
#<maister> echo -n is broken on recent OSX btw MAKEFILE_DEFINES='.MAKEFILE_DEFINES' CONFIG_DEFINES='.CONFIG_DEFINES' cat /dev/null > "$MAKEFILE_DEFINES" > "$CONFIG_DEFINES" #cat /dev/null > "${MAKEFILE_DEFINES:=.MAKEFILE_DEFINES}" > "${CONFIG_DEFINES=.CONFIG_DEFINES}" [ "$PREFIX" ] || PREFIX="/usr/local" add_define_...
PyroFilmsFX/Attempt3
qb/qb.libs.sh
Shell
gpl-3.0
7,897
#!/bin/sh # # Copyright (C) 2014-2016 Internet Systems Consortium, Inc. ("ISC") # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. # $Id$ SYSTEMTESTTOP=.. . $SYSTEMTES...
tjaalton/bind9
bin/tests/system/legacy/tests.sh
Shell
mpl-2.0
6,731
#!/bin/bash # run all python files in parallel under images recursively cd images/trade_scripts/ find . -regextype posix-egrep -regex '.*(py)$' | xargs -n 1 -P 3 python cd ../xdsm/ find . -regextype posix-egrep -regex '.*(py)$' | xargs -n 1 -P 3 python cd ../.. #build pdf (with bibtex), by defualt do a quick build "...
kennethdecker/MagnePlane
paper/build.sh
Shell
apache-2.0
752
#!/bin/bash # Copyright 2015 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
ChengTiesheng/kubernetes
cluster/gce/trusty/configure.sh
Shell
apache-2.0
32,673
#!/bin/sh #- # Copyright (c) 2010 iXsystems, Inc. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of con...
jhbsz/OSI-OS
usr.sbin/pc-sysinstall/backend-query/xkeyboard-models.sh
Shell
bsd-3-clause
1,928
source ../testsupport.sh bpipe run -d testoutput test.groovy test.txt > test.out exists testoutput/hello1.txt bpipe test -d testoutput test.groovy test.txt > test.out grep -q 'Abort due to Test Mode' test.out && err 'Retry attempted to run command again even though outputs already created' true
vivovip/bpipe
tests/produce_to_dir_no_output_ref/run.sh
Shell
bsd-3-clause
302
#! /bin/sh set -xe autoreconf -sfi
ligzy/npapi-vlc
autogen.sh
Shell
gpl-2.0
36
#!/bin/sh # script which finds large files in the git repository # this lists all objects in the repo history, which means # we can use it to detect when files that don't belong # to the repo where incorrectly kept after extracting # a module git rev-list --objects --all | grep "$(git verify-pack -v .git/objects/pack...
tmaret/sling
tooling/scm/scripts/git-find-large-files.sh
Shell
apache-2.0
373
#!/bin/bash # # Copyright 2015 Chef Software, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
chef/chef-server
dev/scripts/reporting/chef-server-reporting-upgrade-shared-db.sh
Shell
apache-2.0
965
#!/bin/bash CLANG_VERSION=10.0.0 function setup_env() { case `uname -m` in 'x86_64' ) CLANG_DIR="clang+llvm-$CLANG_VERSION-x86_64-linux-gnu-ubuntu-18.04" ;; 'aarch64' ) CLANG_DIR="clang+llvm-$CLANG_VERSION-aarch64-linux-gnu" ;; esac } function install_clang() { CLANG_FILE="$CLANG_DIR.tar.xz" ...
cilium-team/cilium
.travis/prepare.sh
Shell
apache-2.0
1,483
#!/bin/bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
raffaelespazzoli/origin
vendor/k8s.io/kubernetes/cluster/gce/gci/configure-helper.sh
Shell
apache-2.0
77,512
#!/bin/bash if [[ `/sbin/init --version` =~ upstart ]]; then start graphite-beacon; elif [[ `systemctl` =~ -\.mount ]]; then systemctl start graphite-beacon; elif [[ -f /etc/init.d/cron && ! -h /etc/init.d/cron ]]; then /etc/init.d/graphite-beacon start; fi
OnBloom/graphite-beacon
debian/after_install.sh
Shell
mit
259
#!/bin/sh # # This file is part of KMail. # Copyright (c) 2004 Fred Emmott <fred87@users.sf.net> # # KMail is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License, version 2, as # published by the Free Software Foundation. # # KMail is distributed...
kolab-groupware/kdepim
kmail/avscripts/kmail_sav.sh
Shell
gpl-2.0
1,664
# Clean previous build rm -rf build rm -rf bin rm -rf osx/osx-vcmibuilder/build rm -rf osx/vcmibuilder.app # Build vcmibuilder xcodebuild -project osx/osx-vcmibuilder/vcmibuilder.xcodeproj/ -configuration Release mv osx/osx-vcmibuilder/build/Release/vcmibuilder.app osx/vcmibuilder.app # Build vcmi mkdir build cd buil...
jcrada/vcmi
osx/package.sh
Shell
gpl-2.0
436
#!/bin/sh ../tiff-v3.5.4/tools/tiffdither -c g4 ../tiff-data/largebw.tif output_largedither.tif
carlobar/uclinux_leon3_UD
user/mibench/consumer/tiffdither/runme_large.sh
Shell
gpl-2.0
96
#!/bin/bash -e if [ $# -lt 4 ];then echo "Usage: $1 </path/to/target/dir> <api_hostname> <partner_id> <partner_admin_secret>" exit 1 fi cd `dirname $0` PREFIX=$1 API_HOST=$2 PARTNER_ID=$3 ADMIN_SECRET=$4 mkdir -p $PREFIX cp -r . $PREFIX cd $PREFIX sed -i "s#@BASEDIR@#$PREFIX#g" kalcliAliases.sh kalcliAutoCompl...
ivesbai/server
generator/sources/cli/setup.sh
Shell
agpl-3.0
833
HOME=$(dirname $0) cd $HOME/../.. modules="core web tools" for module in $modules; do echo "====== INSTALL $module =====" mvn -pl $module clean install -DskipTests=true EXIT_VAL="$?" if [[ "x$EXIT_VAL" != "x0" ]]; then exit $EXIT_VAL fi echo "====== TEST $module =====" # verify necessary for ...
tsammons/SMART-GH
core/files/travis-build.sh
Shell
apache-2.0
507
#!/bin/bash # # Copyright (c) 2014 ThoughtWorks, Inc. # # Pixelated is free software: you can redistribute it and/or modify # it under the terms of the GNU Affero General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # Pixelate...
sw00/pixelated-user-agent
provisioning/modules/pixelated/files/activate_custom_node_modules.sh
Shell
agpl-3.0
1,296
#!/bin/bash . ../../test_common.sh function test_eval_no_verify { $OSCAP xccdf eval "${srcdir}/$1" } function test_verify { # just for reference and not used for now xmlsec1 verify --pubkey-pem "$2" "$1" } test_init test_signed.log test_run "signed-sds-no-verification" test_eval_no_verify sds-signed.xml #test_r...
postfix/openscap
tests/DS/signed/all.sh
Shell
lgpl-2.1
492
#!/bin/sh # # 2006-2008 Nico Schottelius (nico-ccollect at schottelius.org) # # # This file is part of ccollect. # # ccollect is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License,...
jll2/ccollect
tools/config-pre-0.4-to-0.4.sh
Shell
lgpl-3.0
1,260
#!/bin/bash # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); yo...
LeStarch/oodt
streaming/cluster-tools/scripts/start-up.sh
Shell
apache-2.0
2,018
#!/usr/bin/env bash # Enable Server GC for this test export RH_UseServerGC=1 $1/$2 if [ $? == 100 ]; then echo pass exit 0 else echo fail exit 1 fi
shrah/corert
tests/src/Simple/BasicThreading/BasicThreading.sh
Shell
mit
165
#!/bin/sh ################################################################################ ## ## ## Copyright (c) International Business Machines Corp., 2008 ## ## ...
yankunsam/ltp
testcases/kernel/security/cap_bound/run_capbounds.sh
Shell
gpl-2.0
2,180
# bootstrap - script to bootstrap the distribution rolling engine # usage: # $ sh ./bootstrap && ./configure && make dist[check] # # this yields a tarball which one can install doing # # $ tar zxf PACKAGENAME-*.tar.gz # $ cd PACKAGENAME-* # $ ./configure # $ make # # make install # requirements: # GNU autoconf...
LanguageMachines/foliatools
bootstrap.sh
Shell
gpl-3.0
1,747
#!/bin/sh echo echo --- Penguin --------------------------------------------- workingDir=`dirname $0` . $workingDir/../env.sh export XMLDESCRIPTOR=$workingDir/GCMA.xml $JAVACMD org.objectweb.proactive.examples.penguin.PenguinControler $XMLDESCRIPTOR echo echo --------------------------------------------------------...
PaulKh/scale-proactive
examples/penguin/penguin.sh
Shell
agpl-3.0
325
#!/usr/bin/env bash # Copyright 2016 Google Inc. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required b...
hyperhq/hypernetes
vendor/github.com/google/cadvisor/build/jenkins_e2e.sh
Shell
apache-2.0
1,838
#!/bin/bash -e # # Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Fre...
md-5/jdk10
make/devkit/createAutoconfBundle.sh
Shell
gpl-2.0
4,186
#!/bin/bash LOGFILE=$1 cat $1 | grep -v WARN | grep -v Reading | grep -v mutex | grep -v Preparing | grep -v Configured | grep -v "End of run" | grep -v Stopping | grep -v "Moving" | grep -v "Event limit" | sed -r 's/^.{5}//' | cut -f 1 -d "/" | sed 's/RunControl//g' | sed 's/DataCollector//g' | sed 's/Configuring/\n...
tbisanz/eudaq
producers/palpidefs/scripts/logviewer.sh
Shell
lgpl-3.0
1,363
if [[ $target_platform =~ linux.* ]] || [[ $target_platform == win-32 ]] || [[ $target_platform == win-64 ]] || [[ $target_platform == osx-64 ]]; then export DISABLE_AUTOBREW=1 mv DESCRIPTION DESCRIPTION.old grep -v '^Priority: ' DESCRIPTION.old > DESCRIPTION $R CMD INSTALL --build . else mkdir -p $PREFIX/lib...
joachimwolff/bioconda-recipes
recipes/r-metstat/build.sh
Shell
mit
379
#!/bin/bash set -eu -o pipefail PACKAGE_HOME=$PREFIX/share/$PKG_NAME mkdir -p $PREFIX/bin mkdir -p $PACKAGE_HOME cp -R dist/* $PACKAGE_HOME/ cp $RECIPE_DIR/pantools.py $PACKAGE_HOME/pantools.py chmod +x $PACKAGE_HOME/pantools.py ln -s $PACKAGE_HOME/pantools.py $PREFIX/bin/pantools
roryk/recipes
recipes/pantools/build.sh
Shell
mit
285
#!/bin/bash -e # Installs hexer library git clone https://github.com/hobu/hexer.git cd hexer cmake . -DCMAKE_INSTALL_PREFIX=/usr -DWITH_GDAL=ON make sudo make install
verma/PDAL
scripts/vagrant/hexer.sh
Shell
bsd-3-clause
167
#!/bin/sh # cp from 3.16 fails this test # Copyright (C) 1997-2015 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your...
pixelb/coreutils
tests/cp/no-deref-link1.sh
Shell
gpl-3.0
1,110
#!/bin/bash fw_depends java sbt sed -i 's|127.0.0.1|'${DBHOST}'|g' src/main/scala/scruffy/examples/Test2Endpoint.scala sbt assembly java -jar target/scala-2.11/scruffy-benchmark-assembly-11.0.jar -Dhostname=${DBHOST} &
thousandsofthem/FrameworkBenchmarks
frameworks/Scala/scruffy/setup.sh
Shell
bsd-3-clause
223
#!/usr/bin/env bash # # Copyright 2013 Google Inc. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required...
davidadamsphd/bdutil
samples/test-mr-bigquery.sh
Shell
apache-2.0
2,020
#!/bin/sh # This script is intended to test the awk program genlink.awk for the linker # script generator feature. # # See ld/README file for more info. # # This file is part of the libopencm3 project. # # Copyright (C) 2013 Frantisek Burian <Bufran@seznam.cz> # Copyright (C) 2013 Werner Almesberger <wpwrak> # # T...
cctsao1008/deviation
src/libopencm3/scripts/genlinktest.sh
Shell
gpl-3.0
1,193
#!/usr/bin/env php <?php /** * Drupal shell execution script * * Check for your PHP interpreter - on Windows you'll probably have to * replace line 1 with * #!c:/program files/php/php.exe * * @param path Drupal's absolute root directory in local file system (optional). * @param URI A URI to execute, inclu...
nickopris/musicapp
www/core/scripts/drupal.sh
Shell
apache-2.0
4,270
# # Input data for unit test should be provided in standard way within ALICE # Standard to be discussed in 1-2 weeks # For the moment inputFile for the unit test hardwired # inputFile="/hera/alice/local/filtered/alice/data/2013/LHC13f/000197150/pass2/150/root_archive.zip#FilterEvents_Trees.root" #inputFile="/hera/ali...
yowatana/AliPhysics
PWGPP/QA/Tracking/ExpertQA/test/AliHighPtTreeAnalysis_test.sh
Shell
bsd-3-clause
739
#!/bin/bash # Copyright 2015 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
nagarjung/kubernetes
hack/after-build/update-generated-conversions.sh
Shell
apache-2.0
1,742
#! /bin/sh # # Copyright (c) 1999, 2008, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the F...
lizhekang/TCJDK
sources/openjdk8/hotspot/make/solaris/makefiles/adjust-mflags.sh
Shell
gpl-2.0
2,984
#!/bin/bash # SPDX-License-Identifier: GPL-2.0 SYSFS= # Kselftest framework requirement - SKIP code is 4. ksft_skip=4 prerequisite() { msg="skip all tests:" if [ $UID != 0 ]; then echo $msg must be run as root >&2 exit $ksft_skip fi SYSFS=`mount -t sysfs | head -1 | awk '{ print $3 }'` if [ ! -d "$SYSFS"...
Linutronix/linux
tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
Shell
gpl-2.0
6,268
#!/bin/bash workingdir=`pwd` tar -xvf $workingdir/packages.tar.gz tar -xvf $workingdir/cache.tar.gz DEBIAN_FRONTEND=noninteractive dpkg -i $workingdir/cache/*.deb cd $workingdir/cache dpkg -i gnome-icon-theme-full_3.4.0-0ubuntu1.1_all.deb gnome-shell_3.4.1-0ubuntu2_amd64.deb gnome-core_1%3a3.0+6ubuntu3_amd64.deb gnome-...
makinux-git/x11rdp-makinux
setup.sh
Shell
isc
572
#!/bin/sh # -- check for root -- if [ "`id -u`" != "0" ]; then echo "config.sh: sorry, this must be done as root." 1>&2 exit 1 fi # -- check arguments -- if [ -z "$1" ]; then echo "usage: config.sh destdir" 1>&2 exit 1 fi DESTDIR=${1%/} # install -l s ../usr/share/zoneinfo/Asia/Jerusalem "${DESTDIR}"/etc/l...
guyyur/configs
nanopi-neo/FreeBSD/config.sh
Shell
isc
9,756
#!/bin/bash ## If Mac has new mac smell, perform the following if [ -f "`which brew`" ] then echo "** brew installed" else echo "ERR missing brew" echo "Make sure brew and brew cask are installed and rerun this script." echo "curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install > /tmp/...
rcuza/init
osx/bin/makemacmine.bash
Shell
isc
3,003
#!/bin/bash set -e # Set python3.5 as default version sudo mv /usr/bin/python3.5 /usr/bin/python # Install ninja wget https://github.com/ninja-build/ninja/releases/download/v1.7.2/ninja-linux.zip unzip ninja-linux.zip && sudo cp ninja /usr/bin && sudo chmod +x /usr/bin/ninja # Install meson pip3 install meson # In...
charlesvdv/arduinint
.ci/install.sh
Shell
mit
781
# Do not run this script directly. It's is just a helper for others. if test -f ./build-config.sh; then echo "Using custom build options from build-config.sh" . ./build-config.sh else echo "Using default build options (build-config.sh not found)" fi if test -z "$LUA_CFLAGS"; then LUA_CFLAGS="$(pkg-confi...
lassik/shellprompt
build-helper-unix.sh
Shell
mit
696
SCRIPT_PATH=$(dirname `which $0`) java -cp $(SCRIPT_PATH)/dw-lib.jar com.dw.lib.Grep $@
emacslisp/Java
output/jGrep.sh
Shell
mit
90
autoload colors && colors # cheers, @ehrenmurdick # http://github.com/ehrenmurdick/config/blob/master/zsh/prompt.zsh if (( $+commands[git] )) then git="$commands[git]" else git="/usr/bin/git" fi git_branch() { echo $($git symbolic-ref HEAD 2>/dev/null | awk -F/ {'print $NF'}) } git_dirty() { st=$($git status...
fromonesrc/dotfiles
zsh/prompt.zsh
Shell
mit
1,262
#!/usr/bin/sh -ex echo "Running as user: $(whoami)" # Install Telegraf wget -qO- https://repos.influxdata.com/influxdb.key | apt-key add - echo "deb https://repos.influxdata.com/ubuntu focal stable" | tee /etc/apt/sources.list.d/influxdb.list DEBIAN_FRONTEND=noninteractive apt-get update DEBIAN_FRONTEND=noninteracti...
influxdb/influxdb
scripts/ci/run_perftest.sh
Shell
mit
11,381
#!/bin/sh set -eu nosetests pep8 timeparser.py
utgwkk/py-timeparser
test.sh
Shell
mit
48
#!/bin/bash set -e # set time timedatectl set-ntp true sgdisk -o /dev/sda sgdisk -n 1:$(sgdisk -f /dev/sda):+512M -t 1:ef00 /dev/sda sgdisk -n 2:$(sgdisk -f /dev/sda):$(sgdisk -E /dev/sda) -t 2:8e00 /dev/sda sgdisk -p /dev/sda mkfs.fat -F32 /dev/sda1 cryptsetup luksFormat /dev/sda2 cryptsetup open /dev/sda2 cryptl...
traedamatic/arch-i3-config
install-system.sh
Shell
mit
1,618
config() { NEW="$1" OLD="$(dirname $NEW)/$(basename $NEW .new)" # If there's no config file by that name, mv it over: if [ ! -r $OLD ]; then mv $NEW $OLD elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy rm $NEW fi # Otherwise, we leave the .new copy for ...
panosmdma/SlackOnly-SlackBuilds
network/ptokax/doinst.sh
Shell
mit
876
#!/bin/zsh brew install go hg
tloszko/dotfiles
go/install.sh
Shell
mit
31
#Just get object files here. OBJS="listener.o connmanager.o connection.o" rm ${OBJS} SRCS="listener.cpp listener.h connmanager.h connmanager.cpp connection.h connection.cpp" g++ -c -Wall -fPIC -std=c++11 ${SRCS} -I/usr/local/include
cuprum78/Network-Server
src/build.sh
Shell
mit
235
#! /bin/bash # . ~/etc/funcs.sh export LC_ALL=C U_MSG="usage: $0 [ -help ] -c conf-file -gt { points | lines } [ -fl flist-list ] [ -t title ] [ address-data-file ]" if [ -z "$DM_HOME" ] ; then LOG ERROR "DM_HOME not defined" exit 1 fi DM_ADDRS=$DM_HOME/addrs DM_ETC=$DM_HOME/etc DM_LIB=$DM_HOME/lib DM_SCRIPTS=$DM_H...
tjmacke/dd_maps
scripts/unused/make_geojson.sh
Shell
mit
6,287
#! /bin/sh # # Download geoid datasets for use by GeographicLib::Geoid. This is # modeled on a similar script geographiclib-datasets-download by # Francesco P. Lovergine <frankie@debian.org> # # Copyright (c) Charles Karney (2011-2019) <charles@karney.com> and # licensed under the MIT/X11 License. For more informatio...
geographiclib/geographiclib
tools/geographiclib-get-geoids.sh
Shell
mit
5,125
#!/bin/bash set -e # Get rid of existing binaries rm -f dist/janus* # Check if VERSION variable set and not empty, otherwise set to default value if [ -z "$VERSION" ]; then VERSION="0.0.1-dev" fi echo "Building application version $VERSION" echo "Building default binary" CGO_ENABLED=0 go build -ldflags "-s -w" -l...
alileza/janus
build/build.sh
Shell
mit
1,209
#!/bin/bash appdmg installer.json app.dmg
LETI-IT/De-Novo-DNA-Builder
DeNovo/build/osx/run.sh
Shell
mit
42
#!/bin/sh set -e if [ "${1#-}" != "$1" ]; then set -- searchd "$@" fi if [ "$1" = 'searchd' ]; then # If the sphinx config exists, try to run the indexer before starting searchd if [ -f /etc/sphinx/sphinx.conf ]; then indexer --all fi fi exec "$@"
marijngiesen/docker-sphinxsearch-alpine
docker-entrypoint.sh
Shell
mit
262
#!/bin/bash # This script will build the zaproxy docker image # Configuation VERSION=2.4.2 SCRIPTPATH=`dirname $(readlink -f $0)` docker build -t aparsons/zaproxy $SCRIPTPATH/.. docker tag -f aparsons/zaproxy aparsons/zaproxy:$VERSION
aparsons/zaas
docker/zaproxy/scripts/build.sh
Shell
mit
239
#!/usr/bin/env sh # Author : Wiesław Herr (herself@makhleb.net) # Check the included LICENSE file for licensing information # # Copy an ssh key to a remote machine when ssh-copy-id is unavailable # or the service is running on a non-default port. ############## cat ~/.ssh/id_rsa.pub | ssh $@ "mkdir -p ~/.ssh; cat >> ~...
herself/Hscripts
sshcopyid.sh
Shell
mit
344
alias d='docker $*' alias d-c='docker-compose $*' dexec() { docker exec -it $1 bash -c "stty cols $COLUMNS rows $LINES && bash"; }
kitsunet/dotfiles
zsh/settings/docker_aliases.zsh
Shell
mit
135
#!/bin/bash # this function is the wrapper to run the `CBIG_pMFM_step3_test_Schaefer100.py` # Written by Kong Xiaolu and CBIG under MIT license: https://github.com/ThomasYeoLab/CBIG/blob/master/LICENSE.md cd ../../../../part2_pMFM_control_analysis/Schaefer100/scripts source activate pMFM python CBIG_pMFM_step3_test_Sc...
ThomasYeoLab/CBIG
stable_projects/fMRI_dynamics/Kong2021_pMFM/replication/part2_pMFM_control_analysis/Schaefer100_parcellation/scripts/CBIG_pMFM_step3_test_Schaefer100_wrapper.sh
Shell
mit
449
#!/usr/bin/env bash yaourt --noconfirm -S postman-bin
prinsmike/manjaro-setup
postman.sh
Shell
mit
55
cask exec ert-runner && cask exec ecukes
RadekMolenda/yaml-tomato
run-travis-ci.sh
Shell
mit
41
#!/bin/bash if ! type 7z &> /dev/null; then echo "Installing 7zip since it's not currently installed" brew install p7zip fi ZIP_FILE_NAME="$HOME/Desktop/$(date +"%Y-%m-%d_%H-%M-%S")_user-data.zip" (cd $HOME && 7z a "$ZIP_FILE_NAME" -p "$@" -x'!*.DS_Store')
the0neWhoKnocks/shell-scripts
backup.sh
Shell
mit
263
zstyle ':completion:*' auto-description 'Specify %d' zstyle ':completion:*' format 'Completing %d' zstyle ':completion:*' menu select=long-list select=0 zstyle ':completion:*' list-prompt %SAt %p: Hit TAB for more, or the character to insert%s zstyle ':completion:*' select-prompt %SScrolling active: current selection a...
peteches/configs
zsh/zsh_custom/zstyle.zsh
Shell
mit
327
#!/bin/sh node ./node_modules/electron-builder/out/cli/install-app-deps.js tar -cvzf ./dist/fontmanager-$APP_VERSION-$TRAVIS_OS_NAME-x64.tar.gz -C ./app/node_modules/font-manager/build/Release fontmanager.node rm -rf ./app/node_modules node ./node_modules/electron-builder/out/cli/install-app-deps.js --arch=ia32 tar ...
mbrainiac/font-manager-prebuilt
build.sh
Shell
mit
454
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for CESA-2016:2765 # # Security announcement date: 2016-11-19 11:16:18 UTC # Script generation date: 2017-01-01 21:11:55 UTC # # Operating System: CentOS 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - 389-ds-base-devel.i686:1.2.11.15-84.el6_...
Cyberwatch/cbw-security-fixes
CentOS_6/x86_64/2016/CESA-2016:2765.sh
Shell
mit
1,273
#!/bin/bash # #使用gunicorn启动, 要求系统安装了gunicorn, gevent # dir=$(cd $(dirname $0); pwd) cd $dir host=$(python -c "from config import GLOBAL;print GLOBAL['Host']") port=$(python -c "from config import GLOBAL;print GLOBAL['Port']") procname=$(python -c "from config import GLOBAL;print GLOBAL['ProcessName']") cpu_count=$[$(...
staugur/Sop
src/online_gunicorn.sh
Shell
mit
2,815
# # Copyright 2012 Jonathan M. Reid. See LICENSE.txt # Created by: Jon Reid, http://qualitycoding.org/ # Source: https://github.com/jonreid/XcodeCoverage # export | egrep '( BUILT_PRODUCTS_DIR)|(CURRENT_ARCH)|(OBJECT_FILE_DIR_normal)|(SRCROOT)|(OBJROOT)' > Scripts/env.sh
lukeredpath/LRMocky
Scripts/exportenv.sh
Shell
mit
279
#!/bin/bash set -eo pipefail declare -a versions=( edge 3.5 3.4 3.3 ) for version in "${versions[@]}" do rm -rf "$version" cp -R base "$version" cat > "$version/Dockerfile" <<-END # Generated automatically by update.sh # Do no edit this file FROM bigtruedata/dump:$version RUN apk add --no-cache mysq...
bigtruedata/docker-mysqldump
update.sh
Shell
mit
440
namespace oo declare -ig __oo__insideTryCatch=0 # in case try-catch is nested, we set +e before so the parent handler doesn't catch us instead alias try='[[ $__oo__insideTryCatch -eq 0 ]] || set +e; __oo__insideTryCatch+=1; ( set -e; true; ' alias catch='); declare __oo__tryResult=$?; __oo__insideTryCatch+=-1; [[ $__...
mikelane/bash-oo-framework
lib/system/04_try_catch.sh
Shell
mit
1,129
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-3701-2 # # Security announcement date: 2016-10-28 00:00:00 UTC # Script generation date: 2017-01-01 21:08:26 UTC # # Operating System: Debian 8 (Jessie) # Architecture: x86_64 # # Vulnerable packages fix on version: # - nginx:1.6.2-5+deb8u4 # - nginx-do...
Cyberwatch/cbw-security-fixes
Debian_8_(Jessie)/x86_64/2016/DSA-3701-2.sh
Shell
mit
1,677
#!/bin/sh -ex "${GO_IPFS_CMD}" init "${GO_IPFS_CMD}" daemon > ipfs_daemon.out 2>&1 & while ! grep -i 'Daemon is ready' ipfs_daemon.out ; do echo "Waiting for ipfs daemon to start..." sleep 2 done # EOF
vasild/cpp-ipfs-api
scripts/ipfs_daemon_start.sh
Shell
mit
208
#!/bin/sh mkdir -p /app/data/redis sed -i "s/daemonize yes/daemonize no/" /etc/redis.conf sed -i "s/bind 127.0.0.1/bind 0.0.0.0/" /etc/redis.conf sed -i "s/dir \/var\/lib\/redis/dir \/app\/data\/redis/" /etc/redis.conf exec /usr/bin/redis-server /etc/redis.conf > /tmp/redis.log 2>&1
ChenTung/Dockerfiles
redis/entrypoint.sh
Shell
mit
286
#!/bin/bash VMNAME="spinrite" PATH_TO_VMDK="$HOME/Desktop/hdd.vmdk" existingVMs=$(VBoxManage list vms) if [[ "$existingVMs" == *\"$VMNAME\"* ]]; then VBoxManage unregistervm $VMNAME --delete fi rm -rf $HOME/VirtualBox\ VMs/$VMNAME if [[ -f $PATH_TO_VMDK ]]; then rm $PATH_TO_VMDK fi myusername=$(echo "$(wh...
notthetup/vboxrite
vboxrite.sh
Shell
mit
2,139
#!/bin/bash function disable { mv $1 $1.back ln -s /bin/true $1 } function enable { if [ -L $1 ] then mv $1.back $1 else # No longer a symbolic link, must have been overwritten rm -f $1.back fi } function run_in_chroot { local chroot=$1 local script=$2 # Disable daemon startup disabl...
ankurcha/stemcell
templates/ubuntu/_helpers.sh
Shell
mit
788
## [name] ## Import image. ## ## Params: ## name: Destination Container Name. Default: "default" local param_name="$1" local name="$(name-validate $param_name)" local name_action="$(name-action ${name})" local file_import="${DOCKDEV_PROJECTS}/${name_action}.tar" export DOCKDEV_IMPORTING="import.${name_action}" #...
reduardo7/docker-dev-base
src/actions/import.sh
Shell
mit
1,152
#!/bin/sh bin_dir=`dirname $0` root_dir=`cd ${bin_dir}; cd ../;pwd` cd $root_dir sudo rm -rf app/cache/* composer.lock vendor composer install > composer.log sudo rm -rf app/cache/* rm -f vendor.tar.gz tar zcvf vendor.tar.gz vendor >/dev/null 2>&1 cat composer.log
satooshi/Symfony2SiteTemplate
bin/refresh-vendor.sh
Shell
mit
270
#!/bin/bash # install dependencies sudo apt-get install -y bridge-utils iptables dnsmasq # disable dnsmasq, because we need it for QEMU NAT networking sudo systemctl stop dnsmasq.service sudo systemctl disable dnsmasq.service # deploy QEMU bridge start script sudo cp /vagrant/files/etc/qemu-ifup-NAT /etc/qemu-ifup s...
DieterReuter/qemu-arm-box
scripts/install-network-bridge.sh
Shell
mit
441
#!/bin/bash echo "Sleeping for 5 seconds to make sure Riak is up" sleep 5 echo "Now start testing" npm run test
mirceaalexandru/seneca-riak-store
docker/script.sh
Shell
mit
111
#!/bin/bash naught stop # TODO: Check for zombie processes and warn the user about them
forivall/sizzlingstats.com
stop.sh
Shell
mit
90
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for USN-1461-1 # # Security announcement date: 2012-06-05 00:00:00 UTC # Script generation date: 2017-01-01 21:02:35 UTC # # Operating System: Ubuntu 12.04 LTS # Architecture: i386 # # Vulnerable packages fix on version: # - postgresql-9.1:9.1.4-0ubuntu12.04 # # ...
Cyberwatch/cbw-security-fixes
Ubuntu_12.04_LTS/i386/2012/USN-1461-1.sh
Shell
mit
670
#!/bin/sh # # Upload transaction (JSON) files to the database # # See also: MLCP command reference: # https://docs.marklogic.com/guide/mlcp.pdf # location of mlcp launcher MLCP_BIN=../mlcp-8.0.6.4/bin/mlcp.sh # Marklogic server where an XDBC app server is running echo "Enter MarkLogic XDBC server host and port" re...
katsur0/ml8demo
upload-demo-data.sh
Shell
mit
1,142
#!/bin/bash # check if the `server.xml` file has been changed since the creation of this # Docker image. If the file has been changed the entrypoint script will not # perform modifications to the configuration file. if [ "$(stat --format "%Y" "${CONFLUENCE_INSTALL}/conf/server.xml")" -eq "0" ]; then if [ -n "${X_PRO...
morphixz0r/docker-atlassian-confluence
docker-entrypoint.sh
Shell
mit
1,487
#!/bin/bash # # This is the Telegraf CircleCI test script. Using this script allows total control # the environment in which the build and test is run, and matches the official # build process for InfluxDB. BUILD_DIR=$HOME/telegraf-build # GO_VERSION=go1.4.2 # source $HOME/.gvm/scripts/gvm # exit_if_fail gvm use $GO_V...
aaray/telegraf
circle-test.sh
Shell
mit
2,147
#!/bin/bash mkdir neighbor cp matrix.nosubreplicates neighbor/infile cd neighbor echo -e "j\n133\ny" | neighbor cp outtree ../raw.tree cd .. perl ~/PhageProteomicTree/rename_tree_leaves.pl genome_id.map raw.tree > renamed_full.tree
linsalrob/PhageProteomicTree
bash_script4.sh
Shell
mit
235
#!/bin/bash rm_container(){ if docker ps -f name='$1' &> /dev/null; then echo "Removing old container: $(docker rm -f $1)" fi } rm_container $1
nytopop/autobd
scripts/rm_container.sh
Shell
mit
162
function notifyme-remote() { local plugin_name local plugin_func for plugin_name in $NOTIFYME_REMOTE; do plugin_func=notifyme-$plugin_name _notifyme-exists $plugin_func || continue $plugin_func "$1" "$2" done } function notifyme-local() { local plugin_name local plugin_f...
elventear/notifyme
notifyme.plugin.zsh
Shell
mit
1,458
#!/usr/bin/env bash service rsyslog start service ssh start service mysql start service apache2 start cron tail -f /dev/null
KoichiWada/docker-ubuntu-lamp
docker/init.sh
Shell
mit
125
#!/bin/bash name="chmodrt" # Validate the arguments (count only) if [ "$#" -lt 3 ]; then printf "Usage: $name TYPE MODE PATH\n\n" printf "Types:\n" printf " -d Change the mode of directories\n" printf " -f Change the mode of files\n" exit 1 fi # Authorize absolute paths (all or nothing) fo...
sortiz4/chmodrt
chmodrt.sh
Shell
mit
769
#!/usr/local/bin/bash # # Creates a skeleton dir structure and basic files # for a New Ansible Role BASEPATH=$HOME/GitWork/ansible-playbooks BASEROLEPATH=$BASEPATH/roles ROLENAME=$1 ROLEPATH=$BASEROLEPATH/$1 if [ $BASH_VERSINFO -lt 4 ]; then echo "This script requires BASH 4+ as it uses advanced here-doc features....
bsclark/scripthaus
ansible/newAnsibleRole.bash
Shell
mit
4,899
#!/bin/bash ./fizzbuzz.pl | diff - expected-output.txt ./fizzbuzz.rb | diff - expected-output.txt ./fizzbuzz.py | diff - expected-output.txt gcc fizzbuzz.c -o fizzbuzz ./fizzbuzz | diff - expected-output.txt rm fizzbuzz go run fizzbuzz.go | diff - expected-output.txt
tlight/fizzbuzz
verify.sh
Shell
mit
270
#! /bin/zsh echo "此脚本用/bin/zsh作为脚本解释器" echo "" echo "正在启动InfluxDB" echo "" echo "注意,由于是在同一台机器中启动三个InfluxDB进程,因此部分端口已经改变,具体细节请查看配置文件" echo "" echo "当前InfluxDB的分支为:" echo "" cd $HOME/goproject/src/github.com/influxdb/influxdb/ echo "git branch -a" echo "" git branch -a echo "是否删除旧数据: (yes or no)" echo "" r...
li-ang/influxdb_test
cluster/three.sh
Shell
mit
1,032